.btn {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    @include btnReset();

    > span {
        display: block;
        width: 100%;
        text-align: center;
    }

    .loader {
        transform: translate(-50%, -50%) scale(.5);

        hr{
            background-color: currentColor;
        }
    }

    &.is-loading {
        > span {
            visibility: hidden;
        }
    }

    &:disabled {
        cursor: default;
        opacity: .5;
    }

    &--call-back {
        height: 36px;
        padding: 5px 12px;
        border-radius: 50px;
        color: #000;
        font-size: 16px;
        line-height: 18px;
        letter-spacing: .04em;
        text-transform: uppercase;
        white-space: nowrap;
        transition: background-color .3s ease;

        @include tablet {
            border: 1px solid #fff;
        }

        @include lg {
            position: relative;
            height: 40px;
            padding: 6px 24px 4px;

            &:before,
            &:after {
                content: "";
                position: absolute;
                top: 0;
                bottom: 0;
                width: calc(50% - 18px);
                border: 1px solid #fff;
                pointer-events: none;
            }

            &:before {
                left: 0;
                border-right: none;
                border-radius: 50px 0 0 50px;
            }

            &:after {
                right: 0;
                border-left: none;
                border-radius: 0 50px 50px 0;
            }

            svg {
                position: absolute;
                left: 50%;
                width: 22px;
                height: 10px;
                pointer-events: none;

                path {
                    fill: #fff;
                    transition: fill .3s ease;
                }

                &:first-child, &:first-of-type {
                    bottom: calc(100% - 2px);
                    transform: translateX(-50%);
                }

                &:last-child, &:last-of-type {
                    top: calc(100% - 2px);
                    transform: rotate(180deg) translateX(50%);
                }
            }
        }

        &:hover {
            background-color: #fff;

            svg path {
                fill: #000;
            }
        }
    }

    &--footer-call-back {
        position: relative;
        height: 40px;
        padding: 6px 24px 4px;
        border-radius: 50px;
        color: #000;
        font-size: 16px;
        line-height: 18px;
        letter-spacing: .04em;
        text-transform: uppercase;
        white-space: nowrap;
        transition: background-color .3s ease;

        &:before,
        &:after {
            content: "";
            position: absolute;
            top: 0;
            bottom: 0;
            width: calc(50% - 18px);
            border: 1px solid #fff;
            pointer-events: none;
        }

        &:before {
            left: 0;
            border-right: none;
            border-radius: 50px 0 0 50px;
        }

        &:after {
            right: 0;
            border-left: none;
            border-radius: 0 50px 50px 0;
        }

        svg {
            position: absolute;
            left: 50%;
            width: 22px;
            height: 10px;
            pointer-events: none;

            path {
                fill: #fff;
                transition: fill .3s ease;
            }

            &:first-child, &:first-of-type {
                bottom: calc(100% - 2px);
                transform: translateX(-50%);
            }

            &:last-child, &:last-of-type {
                top: calc(100% - 2px);
                transform: rotate(180deg) translateX(50%);
            }
        }

        @include lg {
        }

        &:hover {
            background-color: #fff;

            svg path {
                fill: #000;
            }
        }
    }

    &--request {
        position: relative;
        height: 55px;
        padding: 5px 24px 4px;
        border-radius: 50px;
        background-color: #0C0B10;
        color: #fff;
        font-size: 24px;
        line-height: 26px;
        letter-spacing: .04em;
        text-transform: uppercase;
        white-space: nowrap;
        transition: background-color .3s ease, color .3s ease;

        &:before,
        &:after {
            content: "";
            position: absolute;
            top: -9px;
            bottom: 0;
            width: calc(50% - 53px);
            border: 1px solid #0C0B10;
            pointer-events: none;
            transition: border-color .3s ease;
        }

        &:before {
            left: 8px;
            border-right: none;
            border-radius: 50px 0 0 50px;
        }

        &:after {
            right: 8px;
            border-left: none;
            border-radius: 0 50px 50px 0;
        }

        svg {
            position: absolute;
            left: 50%;
            pointer-events: none;

            path {
                fill: #0C0B10;
                transition: fill .3s ease;
            }

            &:first-child, &:first-of-type {
                bottom: calc(100% + 5px);
                width: 50px;
                height: 21px;
                transform: translateX(-50%);
            }

            &:last-child, &:last-of-type {
                top: calc(100% + 3px);
                width: 35px;
                height: 15px;
                transform: rotate(180deg) translateX(50%);
            }
        }

        &:hover {
            background-color: #000;

            svg path {
                fill: #000;
            }

            &:before,
            &:after {
                border-color: #000;
            }
        }

        @include lg {

            &:before,
            &:after {
                width: calc(50% - 69px);
            }

            &:before {
                left: 26px;
            }

            &:after {
                right: 26px;
            }
        }
    }

    &--subscribe {
        position: relative;
        height: 55px;
        padding: 5px 24px 4px;
        border-radius: 50px;
        background-color: #fff;
        color: #0C0B10;
        font-size: 24px;
        line-height: 26px;
        letter-spacing: .04em;
        text-transform: uppercase;
        white-space: nowrap;
        transition: background-color .3s ease, color .3s ease;

        &:before,
        &:after {
            content: "";
            position: absolute;
            top: -9px;
            bottom: 0;
            width: calc(50% - 53px);
            border: 1px solid #fff;
            pointer-events: none;
            transition: border-color .3s ease;
        }

        &:before {
            left: 8px;
            border-right: none;
            border-radius: 50px 0 0 50px;
        }

        &:after {
            right: 8px;
            border-left: none;
            border-radius: 0 50px 50px 0;
        }

        svg {
            position: absolute;
            left: 50%;
            pointer-events: none;

            path {
                fill: #fff;
                transition: fill .3s ease;
            }

            &:first-child, &:first-of-type {
                bottom: calc(100% + 5px);
                width: 50px;
                height: 21px;
                transform: translateX(-50%);
            }

            &:last-child, &:last-of-type {
                top: calc(100% + 3px);
                width: 35px;
                height: 15px;
                transform: rotate(180deg) translateX(50%);
            }
        }

        &:hover {
            background-color: #f5f5f5;

            svg path {
                fill: #f5f5f5;
            }

            &:before,
            &:after {
                border-color: #f5f5f5;
            }
        }
    }

    &--color-white {
        border-radius: 50px;
        background-color: #fff;
        color: #0C0B10;
        font-size: 16px;
        line-height: 18px;
        letter-spacing: .04em;
        text-transform: uppercase;
        transition: background-color .3s ease;

        &:hover {
            background-color: #f5f5f5;
        }
    }

    &--color-dark {
        border-radius: 50px;
        background-color: #0C0B10;
        color: #fff;
        text-transform: uppercase;
        transition: background-color .3s ease;

        &:hover {
            background-color: #000;
        }
    }

    &--outline-white {
        border: 1px solid #fff;
        border-radius: 50px;
        color: #fff;
        font-size: 16px;
        line-height: 18px;
        letter-spacing: .04em;
        text-transform: uppercase;
        transition: color .3s ease, background-color .3s ease;

        &:hover {
            background-color: #f5f5f5;
            color: #0C0B10;
        }
    }

    &--outline-dark {
        border: 1px solid #0C0B10;
        border-radius: 50px;
        color: #0C0B10;
        font-size: 16px;
        line-height: 18px;
        letter-spacing: .04em;
        text-transform: uppercase;
        transition: color .3s ease, background-color .3s ease;

        &:hover {
            background-color: #000;
            color: #fff;
        }
    }
}
